<definitions 
	name="Bizz.SampleService.v1"
	targetNamespace="http://www.bizz.com/dti/sample/v1/samplews" 
	xmlns:tns="http://www.bizz.com/dti/sample/v1/samplews" 
	xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/wsdl11soap12.xsd"
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"  
	xmlns:msg="http://www.bizz.com/dti/sample/v1/samplemsgs"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
	xmlns="http://schemas.xmlsoap.org/wsdl/">

	<wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
		WSDL to rest recursive elements in xsd.
	</wsdl:documentation>

	<types>
		<xsd:schema>
			<xsd:import schemaLocation="RecursiveMessages.xsd" namespace="http://www.bizz.com/dti/sample/v1/samplemsgs" />
		</xsd:schema>
	</types>

	<message name="SearchOrderItemsIn">
		<part name="body" element="msg:SearchOrderItemsRequest" />
	</message>
	
	<message name="SearchOrderItemsOut">
		<part name="messagePart" element="msg:SearchOrderItemsResponse" />
	</message>
	
	
	<message name="CreateOrderItemsIn">
		<part name="body" element="msg:CreateOrderItemsRequest" />
	</message>

	<message name="CreateOrderItemsOut">
		<part name="messagePart" element="msg:CreateOrderItemsResponse" />
	</message>

	
	<message name="CreateOrderItemIn">
		<part name="body" element="msg:CreateOrderItemRequest" />
	</message>

	<message name="CreateOrderItemOut">
		<part name="messagePart" element="msg:CreateOrderItemResponse" />
	</message>

	
	<message name="CheckVersions">
		<part name="parameters" element="msg:CheckVersions" />
	</message>

	<message name="CheckVersionsResponse">
		<part name="parameters" element="msg:CheckVersionsResponse" />
	</message>

	<message name="CreateNode">
		<part name="parameters" element="msg:CreateNode" />
	</message>

	<message name="CreateNodeResponse">
		<part name="parameters" element="msg:CreateNodeResponse" />
	</message>


	<portType name="Bizz.SampleServiceInterface">
		<operation name="SearchOrderItems">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Retrieve all order items for a	specific search criteria.
			</documentation>
			<input message="tns:SearchOrderItemsIn" />
			<output message="tns:SearchOrderItemsOut" />
		</operation>

		<operation name="CreateOrderItems">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create order items.
			</documentation>
			<input message="tns:CreateOrderItemsIn" />
			<output message="tns:CreateOrderItemsOut" />
		</operation>

		<operation name="CreateOrderItem">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create order item.
			</documentation>
			<input message="tns:CreateOrderItemIn" />
			<output message="tns:CreateOrderItemOut" />
		</operation>

		<operation name="CheckVersions">
			<input name="CheckVersions" message="tns:CheckVersions" />
			<output name="CheckVersionsResponse" message="tns:CheckVersionsResponse" />
		</operation>

		<operation name="CreateNode">
			<input name="CreateNode" message="tns:CreateNode" />
			<output name="CreateNodeResponse" message="tns:CreateNodeResponse" />
		</operation>

	</portType>

	<binding name="Bizz.SampleService.v1" type="tns:Bizz.SampleServiceInterface">
		<soap:binding transport="http://schemas.xmlsoap.org/soap/http" />

		<operation name="SearchOrderItems">
			<soap:operation soapAction="http://www.bizz.com/SearchOrderItems" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateOrderItems">
			<soap:operation soapAction="http://www.bizz.com/CreateOrderItems" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateOrderItem">
			<soap:operation soapAction="http://www.bizz.com/CreateOrderItem" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CheckVersions">
			<soap:operation soapAction="http://www.bizz.com/CheckVersions" style="document"/>
			<input name="CheckVersions">
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateNode">
			<soap:operation soapAction="http://www.bizz.com/CreateNode" style="document"/>
			<input name="CreateNode">
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

	</binding>

	<service name="Bizz.SampleService.v1">
		<port name="Bizz.SampleServicePort" binding="tns:Bizz.SampleService.v1">
			<soap:address location="http://dummy.url/webservice/sample/v1/services/DTISampleServiceInterfacePort" />
		</port>
	</service>

</definitions>